The Spring Framework

## org.springframework.web.bind.support
Interface SessionStatus

All Known Implementing Classes:
  SimpleSessionStatus

    public interface SessionStatus

Simple interface that can be injected into handler methods, allowing them to signal that their session processing is complete. The handler invoker may then follow up with appropriate cleanup, e.g. of session attributes which have been implicitly created during this handler's processing (according to the `@SessionAttributes` annotation).

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `RequestMapping`, `SessionAttributes`

Method Summary
`boolean` `isComplete()` Return whether the current handler's session processing has been marked as complete.
`void` `setComplete()` Mark the current handler's session processing as complete, allowing for cleanup of session attributes.

Method Detail

### setComplete

    void setComplete()

  Mark the current handler's session processing as complete, allowing for cleanup of session attributes.

### isComplete

    boolean isComplete()

  Return whether the current handler's session processing has been marked as complete.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.